<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.skin.FixedSkinActionFactory"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final String cmd = request.getParameter("cmd");
final String root = request.getContextPath()+"/";

DbControl dc = null;
String message = "";
try
{
	if ("SaveOptions".equals(cmd))
	{
		dc = sc.newDbControl();
		String serverId = Values.getStringOrNull(request.getParameter("server-id-text"));
		ExtensionsControl ec = ExtensionsControl.get(dc);
		
		// Save as setting so that the value survive server restarts
		ec.setSetting("net.sf.basedb.skincollection.server-id", "data-text", serverId);
		ec.saveSettings();
		
		// Modify the existing factory
		FixedSkinActionFactory factory = (FixedSkinActionFactory)ec.getExtension("net.sf.basedb.skincollection.server-id").getActionFactory();
		factory.setParameter("data-text", serverId);

		message = "Options saved";
	}
}
finally
{
	if (dc != null) dc.close();
}
response.sendRedirect(root + "common/close_popup.jsp?ID="+ID+"&refresh_opener=1&message="+HTML.urlEncode(message));

%>
